package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName("V_RS_RLZY_QZYX")
public class RsRlzyQzyxPO {
    @TableId(value = "rs_rlzy_qzyx_lsh", type = IdType.ASSIGN_UUID)
    @TableField(value = "rs_rlzy_qzyx_lsh")
    private String rsrlzyqzyxlsh;//求职意向流水号

    @TableField(value = "rs_yhlsh")
    private String rsyhlsh;//用户流水号
    private String qzzlx;//求职者类型
    private String mqzk;//目前状况
    private String gzdd;//工作地点
    private String gzxz;//工作性质
    private String qwxz;//期望薪资
    private String qwzw;//期望职位
    private String qwhy;//期望行业
    private String gznx;//工作年限
    private String wyyz;//外语语种
    private String wysp;//外语水平
    private String zwjs;//自我介绍

    @TableField(value = "ts_cjr")
    private String tscjr;//创建人

    @TableField(value = "ts_cjsj")
    private String tscjsj;//创建时间

    @TableField(value = "ts_xgr")
    private String tsxgr;//修改人

    @TableField(value = "ts_xgsj")
    private String tsxgsj;//修改时间

    @TableField(value = "ts_yxbz")
    private String tsyxbz;//有效标志

    @TableField(exist = false)
    private String gzddname;
    @TableField(exist = false)
    private String gzxzname;
    @TableField(exist = false)
    private String qwxzname;
    @TableField(exist = false)
    private String qwhyname;
    @TableField(exist = false)
    private String wyyzname;
    @TableField(exist = false)
    private String wyspname;
    @TableField(exist = false)
    private String qwzwname;

    public String getQwzwname() {
        return qwzwname;
    }

    public void setQwzwname(String qwzwname) {
        this.qwzwname = qwzwname;
    }

    public String getGzddname() {
        return gzddname;
    }

    public void setGzddname(String gzddname) {
        this.gzddname = gzddname;
    }

    public String getGzxzname() {
        return gzxzname;
    }

    public void setGzxzname(String gzxzname) {
        this.gzxzname = gzxzname;
    }

    public String getQwxzname() {
        return qwxzname;
    }

    public void setQwxzname(String qwxzname) {
        this.qwxzname = qwxzname;
    }

    public String getQwhyname() {
        return qwhyname;
    }

    public void setQwhyname(String qwhyname) {
        this.qwhyname = qwhyname;
    }

    public String getWyyzname() {
        return wyyzname;
    }

    public void setWyyzname(String wyyzname) {
        this.wyyzname = wyyzname;
    }

    public String getWyspname() {
        return wyspname;
    }

    public void setWyspname(String wyspname) {
        this.wyspname = wyspname;
    }

    public String getRsrlzyqzyxlsh() {
        return rsrlzyqzyxlsh;
    }

    public void setRsrlzyqzyxlsh(String rsrlzyqzyxlsh) {
        this.rsrlzyqzyxlsh = rsrlzyqzyxlsh;
    }

    public String getRsyhlsh() {
        return rsyhlsh;
    }

    public void setRsyhlsh(String rsyhlsh) {
        this.rsyhlsh = rsyhlsh;
    }

    public String getQzzlx() {
        return qzzlx;
    }

    public void setQzzlx(String qzzlx) {
        this.qzzlx = qzzlx;
    }

    public String getMqzk() {
        return mqzk;
    }

    public void setMqzk(String mqzk) {
        this.mqzk = mqzk;
    }

    public String getGzdd() {
        return gzdd;
    }

    public void setGzdd(String gzdd) {
        this.gzdd = gzdd;
    }

    public String getGzxz() {
        return gzxz;
    }

    public void setGzxz(String gzxz) {
        this.gzxz = gzxz;
    }

    public String getQwxz() {
        return qwxz;
    }

    public void setQwxz(String qwxz) {
        this.qwxz = qwxz;
    }

    public String getQwzw() {
        return qwzw;
    }

    public void setQwzw(String qwzw) {
        this.qwzw = qwzw;
    }

    public String getQwhy() {
        return qwhy;
    }

    public void setQwhy(String qwhy) {
        this.qwhy = qwhy;
    }

    public String getGznx() {
        return gznx;
    }

    public void setGznx(String gznx) {
        this.gznx = gznx;
    }

    public String getWyyz() {
        return wyyz;
    }

    public void setWyyz(String wyyz) {
        this.wyyz = wyyz;
    }

    public String getWysp() {
        return wysp;
    }

    public void setWysp(String wysp) {
        this.wysp = wysp;
    }

    public String getZwjs() {
        return zwjs;
    }

    public void setZwjs(String zwjs) {
        this.zwjs = zwjs;
    }

    public String getTscjr() {
        return tscjr;
    }

    public void setTscjr(String tscjr) {
        this.tscjr = tscjr;
    }

    public String getTscjsj() {
        return tscjsj;
    }

    public void setTscjsj(String tscjsj) {
        this.tscjsj = tscjsj;
    }

    public String getTsxgr() {
        return tsxgr;
    }

    public void setTsxgr(String tsxgr) {
        this.tsxgr = tsxgr;
    }

    public String getTsxgsj() {
        return tsxgsj;
    }

    public void setTsxgsj(String tsxgsj) {
        this.tsxgsj = tsxgsj;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }
}


